is_link
is_uploaded_file
Filesystem Functions
PHP Manual

# is_readable

(PHP 4, PHP 5)

is_readable — Tells whether the filename is readable

### Description

bool is_readable ( string `$filename` )

Tells whether the filename is readable.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns `TRUE` if the file or directory specified by `filename` exists and is readable, `FALSE` otherwise.

### Examples

Example #1 is_readable() example

`<?php
$filename = 'test.txt';
if (is_readable($filename)) {
echo 'The file is readable';
} else {
echo 'The file is not readable';
}
?>`

### Notes

Keep in mind that PHP may be accessing the file as the user id that the web server runs as (often 'nobody'). Safe mode limitations are not taken into account before PHP 5.1.5.

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

> Note: The check is done using the real UID/GID instead of the effective one.

### See Also

- is_writable()
- file_exists()
- fgets()

is_link
is_uploaded_file
Filesystem Functions
PHP Manual